Follow

Error: Venafi Updater package failed verification with timestamp error

Applies to:

Venafi Updater versions prior to 19.3

 

Symptom:

Venafi Updater fails to load update package with following error:

** Processing package file C:\Program Files\Venafi\Packages\Patch 18.04.02.03530.vupkg
Package file C:\Program Files\Venafi\Packages\Patch 18.04.02.03530.vupkg is signed by CN="Venafi, Inc.", O="Venafi, Inc.", L=Salt Lake City, S=Utah, C=US
Package file C:\Program Files\Venafi\Packages\Patch 18.04.02.03530.vupkg has been tampered with. Signature verification failed.
Package 'C:\Program Files\Venafi\Packages\Patch 18.04.02.03530.vupkg' failed verification; error: A required certificate is not within its validity period when verifying against the current system clock or the timestamp in the signed file.

 

Cause:

There was an issue with Venafi Updater that resulted in trouble with verification of packages released after mid 2019.

 

Resolution:

Install latest version of Venafi Updater. You can find the installer for Venafi Updater in VenafiUpdaterInstallerx64.zip file that can be found in the same folder with the Venafi Update Package on our download server. If this file does not exist, the new Updater is likely bundled in the the zip file containing the service pack you have downloaded.

 

Make sure to execute VenafiUpdaterInstallerx64.msi from an elevated command prompt! The installation does not prompt for anything during the process. Once done, proceed to launch Venafi Updater to install the update package normally.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments